Skip to main content
POST
Create an organization

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format: Bearer <basedash_api_key>

Query Parameters

include
enum<string>

Include sensitive fields in the response. Use jwtSecret to include the embed JWT secret.

Available options:
jwtSecret

Body

application/json
name
string
required

Name of the organization

Minimum string length: 1
customAiContext
string

Custom context for AI features

insightsAiContext
string | null

Custom context for AI-generated insights

skipOnboarding
boolean

Skip onboarding flow

fullEmbedEnabled
boolean

Enable full embed functionality

embedAllowedOrigins
string[]

Allowed origins for embedding. Supports exact URLs (https://example.com) and wildcard patterns (https://*.example.com)

slug
string

URL-friendly slug. If not provided, a unique slug will be generated.

isBillable
boolean

[Self-hosted] Controls whether the organization is billable. Defaults to true. Relevant for self-hosted deployments where billing gates certain features. When false, the organization will not be counted towards billable usage and will have a limited set of features. When true, the organization will be counted towards billable usage (after a 14-day trial) and will have access to all features.

insightsEnabled
boolean

Enable automated insights generation for this organization. Defaults to true.

insightsFrequency
enum<string>

How often automated insights are generated. Defaults to DAILY.

Available options:
DAILY,
WEEKDAYS,
WEEKLY,
MONTHLY,
NEVER
insightsPreferredDayOfWeek
integer

Preferred day of week for WEEKLY insights. 0 is Sunday.

Required range: 0 <= x <= 6
insightsPreferredDayOfMonth
integer

Preferred day of month for MONTHLY insights.

Required range: 1 <= x <= 31
allowOnDemandAiUsage
boolean

Allow users in the organization to continue using AI beyond included monthly AI credits. Defaults to true.

aiUsageOverageLimitCents
integer | null

Maximum AI usage overage for the organization in cents. Null means no limit. Only applies when on-demand AI usage is enabled.

Required range: x <= 2147483647
billingEmail
string<email>

Email address used for billing communication and invoices

sendInvoicesToBillingEmail
boolean

Whether paid invoices are emailed to the billing email address

defaultDashboardAccessAudience
enum<string>

Default audience for newly created dashboards

Available options:
EVERYONE,
CREATOR_ONLY,
CREATOR_GROUPS
defaultDashboardAccessLevel
enum<string>

Default permission level for the audience. Creator always gets MANAGE regardless.

Available options:
MANAGE,
EDIT,
VIEW
defaultChatAccessAudience
enum<string>

Default audience for newly created chats

Available options:
EVERYONE,
CREATOR_ONLY,
CREATOR_GROUPS
defaultChatAccessLevel
enum<string>

Default permission level for new chats. Creator always gets MANAGE regardless.

Available options:
MANAGE,
EDIT,
VIEW
defaultAutomationAccessAudience
enum<string>

Default audience for newly created automations

Available options:
EVERYONE,
CREATOR_ONLY,
CREATOR_GROUPS
defaultAutomationAccessLevel
enum<string>

Default permission level for new automations. Creator always gets MANAGE regardless.

Available options:
MANAGE,
EDIT,
VIEW

Response

Organization created successfully. The jwtSecret field is only included when explicitly requested via ?include=jwtSecret.

data
object
required